#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/keystonemiddleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info doc/source/api doc/source/_static
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'keystonemiddleware.tests\.unit\.(?!(.*OptsTestCase.test_entry_point.*|.*test_opts.OptsTestCase.test_list_auth_token_opts.*|.*test_opts.OptsTestCase.test_original_list_all_options.*|.*auth_token.test_auth_token_middleware.v3AuthTokenMiddlewareTest.test_auth_plugin.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_loading_password_plugin.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_plugin_loading_mixed_opts.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_plugin_loading_with_auth_section.*|.*auth_token.test_auth_token_middleware.v2AuthTokenMiddlewareTest.test_auth_plugin.*|.*test_ec2_token_middleware\.EC2TokenMiddlewareTestGood\.test_protocol_old_versions.*|.*test_ec2_token_middleware\.EC2TokenMiddlewareTestGood\.test_protocol_v4.*|.*test_ec2_token_middleware\.EC2TokenMiddlewareTestBad\.test_communication_failure.*|.*test_ec2_token_middleware\.EC2TokenMiddlewareTestBad\.test_no_result_data.*))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-keystonemiddleware-doc/usr/share/doc/python-keystonemiddleware-doc/html
	dh_sphinxdoc
endif
